Bug 968613 - SELinux is preventing /usr/libexec/ipsec/addconn from 'connectto' accesses on the unix_stream_socket /run/pluto/pluto.ctl.
SELinux is preventing /usr/libexec/ipsec/addconn from 'connectto' accesses on...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:7acf88071a980684286c3eaf17c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 19:01 EDT by Daniel Demus
Modified: 2013-07-24 20:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.11.1-98.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 20:38:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Demus 2013-05-29 19:01:30 EDT
Description of problem:
Trying to start a VPN tunnel using L2TP IPsec VPN Manager 1.0.8.
SELinux is preventing /usr/libexec/ipsec/addconn from 'connectto' accesses on the unix_stream_socket /run/pluto/pluto.ctl.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that addconn should be allowed connectto access on the pluto.ctl unix_stream_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep addconn /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:ipsec_t:s0
Target Context                system_u:system_r:ipsec_t:s0
Target Objects                /run/pluto/pluto.ctl [ unix_stream_socket ]
Source                        addconn
Source Path                   /usr/libexec/ipsec/addconn
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           libreswan-3.3-1.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-96.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.4-200.fc18.x86_64 #1 SMP Fri
                              May 24 20:10:49 UTC 2013 x86_64 x86_64
Alert Count                   3
First Seen                    2013-05-29 23:48:27 CEST
Last Seen                     2013-05-30 00:22:53 CEST
Local ID                      1de65baa-a850-4d1e-a034-255ca0e7e999

Raw Audit Messages
type=AVC msg=audit(1369866173.273:343): avc:  denied  { connectto } for  pid=2845 comm="addconn" path="/run/pluto/pluto.ctl" scontext=system_u:system_r:ipsec_t:s0 tcontext=system_u:system_r:ipsec_t:s0 tclass=unix_stream_socket


type=SYSCALL msg=audit(1369866173.273:343): arch=x86_64 syscall=connect success=no exit=EACCES a0=b a1=7fffb0d993a0 a2=1a a3=0 items=0 ppid=2727 pid=2845 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=addconn exe=/usr/libexec/ipsec/addconn subj=system_u:system_r:ipsec_t:s0 key=(null)

Hash: addconn,ipsec_t,ipsec_t,unix_stream_socket,connectto

audit2allow

#============= ipsec_t ==============
allow ipsec_t self:unix_stream_socket connectto;

audit2allow -R
require {
	type ipsec_t;
}

#============= ipsec_t ==============
ipsec_stream_connect(ipsec_t)


Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.4-200.fc18.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-05-30 07:53:36 EDT
Fixed in selinux-policy-3.11.1-98.fc18
Comment 2 Fedora Update System 2013-06-27 09:34:09 EDT
selinux-policy-3.11.1-98.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-98.fc18
Comment 3 Fedora Update System 2013-06-28 02:08:22 EDT
Package selinux-policy-3.11.1-98.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-98.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11859/selinux-policy-3.11.1-98.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-24 20:38:13 EDT
selinux-policy-3.11.1-98.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.